Update Alert Destination
Update Alert Destination. This POST operation is exposed from the activity router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Update Alert Destination. This POST operation is exposed from the activity router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.
Signed-in EnderDash browser session cookie.
In: cookie
Request Body
application/json
Serialized tRPC procedure input for this mutation. Responses use the standard tRPC HTTP result envelope.
TypeScript Definitions
Use the request body type in TypeScript.
"email" | "discord" | "webhook"Response Body
application/json
application/json
curl -X POST "https://app.enderdash.com/api/trpc/activity.updateAlertDestination" \ -H "Content-Type: application/json" \ -d '{ "organizationId": "string", "name": "string", "type": "email", "target": "string", "destinationId": "string" }'{ "result": { "data": { "id": "string", "organizationId": "string", "name": "string", "type": "string", "target": "string", "enabled": true, "createdByMemberId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } }}{ "error": { "message": "string", "code": -32001, "data": { "code": "UNAUTHORIZED", "httpStatus": 0, "path": "string", "stack": "string" } }}Record Server Rpc Activity POST
Record Server Rpc Activity. This POST operation is exposed from the activity router on EnderDash's tRPC HTTP API surface. This operation is part of the public tRPC HTTP surface and does not require a signed-in session.
Update Alert Rule POST
Update Alert Rule. This POST operation is exposed from the activity router on EnderDash's tRPC HTTP API surface. Authentication is required with either a signed-in session cookie or a user API key.